Bug 1260207 - JMicron USB to ATA/ATAPI Bridge requires usb-storage quirks to disable uas
JMicron USB to ATA/ATAPI Bridge requires usb-storage quirks to disable uas
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 14:14 EDT by Steven Ellis
Modified: 2015-12-02 13:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:13:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add UAS disable quirk (1.18 KB, application/mbox)
2015-09-08 13:04 EDT, Laura Abbott
no flags Details
Add UAS disable quirk (1.34 KB, application/mbox)
2015-09-08 14:31 EDT, Laura Abbott
no flags Details

  None (edit)
Description Steven Ellis 2015-09-04 14:14:53 EDT
Description of problem:
Got 2 Orico 2588US3 USB3 -> SATA Enclosures that behave badly if UAS isn't disabled

Version-Release number of selected component (if applicable):
Kernel 4.1.4-100.fc21.x86_64

How reproducible:
Boot without usb-storage quirks and drives are reported as having 4K blocks and very large alignment_offset.

Boot with UAS disabled and disk are reported with correct block side and an alignment_offset of zero

Without UAS we start to get LVM errors and eventually the disk goes offline

Steps to Reproduce:
1. 
2.
3.

Actual results:

ep 04 22:54:32 rhel7sd.local kernel: usb 3-3.2: new SuperSpeed USB device number 4 using xhci_hcd
Sep 04 22:54:32 rhel7sd.local kernel: usb 3-3.2: New USB device found, idVendor=357d, idProduct=7788
Sep 04 22:54:32 rhel7sd.local kernel: usb 3-3.2: New USB device strings: Mfr=10, Product=11, SerialNumber=3
Sep 04 22:54:32 rhel7sd.local kernel: usb 3-3.2: Product: USB to ATA/ATAPI Bridge
Sep 04 22:54:32 rhel7sd.local kernel: usb 3-3.2: Manufacturer: JMicron
Sep 04 22:54:32 rhel7sd.local kernel: usb 3-3.2: SerialNumber: 000012345678
Sep 04 22:54:32 rhel7sd.local kernel: usb-storage 3-3.2:1.0: USB Mass Storage device detected
Sep 04 22:54:32 rhel7sd.local kernel: scsi host5: usb-storage 3-3.2:1.0
Sep 04 22:54:32 rhel7sd.local mtp-probe[2813]: checking bus 3, device 4: "/sys/devices/pci0000:00/0000:00:14.0/usb3/3-3/3-3.2"
Sep 04 22:54:32 rhel7sd.local mtp-probe[2813]: bus: 3, device: 4 was not an MTP device
Sep 04 22:54:33 rhel7sd.local kernel: scsi 5:0:0:0: Direct-Access     ST1000LM 024 HN-M101MBB   0100 PQ: 0 ANSI: 6
Sep 04 22:54:33 rhel7sd.local kernel: sd 5:0:0:0: [sde] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
Sep 04 22:54:33 rhel7sd.local kernel: sd 5:0:0:0: [sde] Write Protect is off
Sep 04 22:54:33 rhel7sd.local kernel: sd 5:0:0:0: [sde] Mode Sense: 67 00 10 08
Sep 04 22:54:33 rhel7sd.local kernel: sd 5:0:0:0: [sde] Write cache: enabled, read cache: enabled, supports DPO and FUA
Sep 04 22:54:33 rhel7sd.local kernel:  sde: sde1 sde2 sde3
Sep 04 22:54:33 rhel7sd.local kernel: sd 5:0:0:0: [sde] Attached SCSI disk


Expected results:

Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb 2-3.1: new SuperSpeed USB device number 3 using xhci_hcd
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb 2-3.1: New USB device found, idVendor=357d, idProduct=7788
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb 2-3.1: New USB device strings: Mfr=10, Product=11, SerialNumber=3
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb 2-3.1: Product: USB to ATA/ATAPI Bridge
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb 2-3.1: Manufacturer: JMicron
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb 2-3.1: SerialNumber: 000012345678
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb 2-3.1: UAS is blacklisted for this device, using usb-storage instead
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb-storage 2-3.1:1.0: USB Mass Storage device detected
Sep 05 06:01:57 t440s.akl.redhat.com kernel: usb-storage 2-3.1:1.0: Quirks match for vid 357d pid 7788: 800000
Sep 05 06:01:57 t440s.akl.redhat.com kernel: scsi host4: usb-storage 2-3.1:1.0
Sep 05 06:01:57 t440s.akl.redhat.com mtp-probe[5112]: checking bus 2, device 3: "/sys/devices/pci0000:00/0000:00:14.0/usb2/2-3/2-3.1"
Sep 05 06:01:57 t440s.akl.redhat.com mtp-probe[5112]: bus: 2, device: 3 was not an MTP device
Sep 05 06:01:58 t440s.akl.redhat.com kernel: scsi 4:0:0:0: Direct-Access     ST1000LM 024 HN-M101MBB   0100 PQ: 0 ANSI: 6
Sep 05 06:01:58 t440s.akl.redhat.com kernel: sd 4:0:0:0: Attached scsi generic sg3 type 0
Sep 05 06:01:58 t440s.akl.redhat.com kernel: sd 4:0:0:0: [sdd] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
Sep 05 06:01:58 t440s.akl.redhat.com kernel: sd 4:0:0:0: [sdd] Write Protect is off
Sep 05 06:01:58 t440s.akl.redhat.com kernel: sd 4:0:0:0: [sdd] Mode Sense: 67 00 10 08
Sep 05 06:01:58 t440s.akl.redhat.com kernel: sd 4:0:0:0: [sdd] Write cache: enabled, read cache: enabled, supports DPO and FUA
Sep 05 06:01:58 t440s.akl.redhat.com kernel:  sdd: sdd1 sdd2 sdd3
Sep 05 06:01:58 t440s.akl.redhat.com kernel: sd 4:0:0:0: [sdd] Attached SCSI disk


Additional info:
Comment 1 Steven Ellis 2015-09-04 14:16:26 EDT
Output of lsusb

[root@t440s sellis]# lsusb -v -d 357d:7788

Bus 002 Device 003: ID 357d:7788 Sharkoon QuickPort XT
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               3.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         9
  idVendor           0x357d Sharkoon
  idProduct          0x7788 QuickPort XT
  bcdDevice            0.00
  iManufacturer          10 JMicron
  iProduct               11 USB to ATA/ATAPI Bridge
  iSerial                 3 000012345678
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength          121
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xc0
      Self Powered
    MaxPower                2mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk-Only
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0400  1x 1024 bytes
        bInterval               0
        bMaxBurst              15
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0400  1x 1024 bytes
        bInterval               0
        bMaxBurst              15
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       1
      bNumEndpoints           4
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     98 
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x01  EP 1 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0400  1x 1024 bytes
        bInterval               0
        bMaxBurst               0
        Command pipe (0x01)
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0400  1x 1024 bytes
        bInterval               0
        bMaxBurst               0
        MaxStreams             32
        Status pipe (0x02)
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x83  EP 3 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0400  1x 1024 bytes
        bInterval               0
        bMaxBurst              15
        MaxStreams             32
        Data-in pipe (0x03)
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x04  EP 4 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0400  1x 1024 bytes
        bInterval               0
        bMaxBurst              15
        MaxStreams             32
        Data-out pipe (0x04)
Binary Object Store Descriptor:
  bLength                 5
  bDescriptorType        15
  wTotalLength           22
  bNumDeviceCaps          2
  USB 2.0 Extension Device Capability:
    bLength                 7
    bDescriptorType        16
    bDevCapabilityType      2
    bmAttributes   0x00000002
      Link Power Management (LPM) Supported
  SuperSpeed USB Device Capability:
    bLength                10
    bDescriptorType        16
    bDevCapabilityType      3
    bmAttributes         0x00
    wSpeedsSupported   0x000e
      Device can operate at Full Speed (12Mbps)
      Device can operate at High Speed (480Mbps)
      Device can operate at SuperSpeed (5Gbps)
    bFunctionalitySupport   1
      Lowest fully-functional device speed is Full Speed (12Mbps)
    bU1DevExitLat          10 micro seconds
    bU2DevExitLat        2047 micro seconds
Device Status:     0x000d
  Self Powered
  U1 Enabled
  U2 Enabled
Comment 2 Steven Ellis 2015-09-04 14:16:48 EDT
Currently operating correctly with

/etc/modprobe.d/usb_storage.conf 
options usb-storage quirks=357d:7788:u
Comment 3 Steven Ellis 2015-09-05 02:08:11 EDT
Example of the alignment errors we were getting without UAS turned on

Sep 04 15:54:11 t440s.akl.redhat.com systemd[1]: Starting LVM2 PV scan on device 8:66...
Sep 04 15:54:11 t440s.akl.redhat.com kernel: device-mapper: table: 253:26: adding target device sde2 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=1048576
Sep 04 15:54:11 t440s.akl.redhat.com kernel: device-mapper: table: 253:26: adding target device sde2 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=1048576
Sep 04 15:54:11 t440s.akl.redhat.com kernel: device-mapper: table: 253:27: adding target device sde2 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=12885950464
Sep 04 15:54:11 t440s.akl.redhat.com kernel: device-mapper: table: 253:27: adding target device sde2 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=12885950464
Sep 04 15:54:11 t440s.akl.redhat.com kernel: device-mapper: table: 253:28: adding target device sde2 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=206159478784
Sep 04 15:54:11 t440s.akl.redhat.com kernel: device-mapper: table: 253:28: adding target device sde2 caused an alignment inconsistency: physical_block_size=4096, logical_block_size=512, alignment_offset=0, start=206159478784
Comment 4 Laura Abbott 2015-09-08 13:04:52 EDT
Created attachment 1071426 [details]
Add UAS disable quirk

Thanks for the report, can you try this patch to see if it sets the quirk properly?
Comment 5 Laura Abbott 2015-09-08 14:31:31 EDT
Created attachment 1071451 [details]
Add UAS disable quirk

There was already an entry for this, just need to add a flag for hte quirk
Comment 6 Fedora End Of Life 2015-11-04 05:35:28 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-12-02 10:13:53 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.